You are not logged in.

#51 2012-03-15 17:07:47

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: gnome 3.4beta2 in gnome-unstable

quasifilmie wrote:

@wonder, would the user account module thing be an upstream bug, packaging bug or would i have been missing a package. I have downgraded but I am curious.

i don't have any problems with the user account module. it must be something in your system.


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#52 2012-03-15 18:58:04

meijin
Member
From: Israel
Registered: 2009-03-05
Posts: 92

Re: gnome 3.4beta2 in gnome-unstable

wonder wrote:
meijin wrote:

2 wierd problem:
1. cant take screenshot: the screen is getting "flashed", but nothing going up nor nothing to paste.

you need to install xdg-user-dirs-gtk and be sure you have xdg-user-dirs-0.14-3 then relogin. After that pictures are saved automatically into ~/Pictures or whatever the name is in your language.

2. i use RTL lang (hebrew), but the shell is LTR: I mean: "activity" is in the left side, and it should be in the right. I? checked with a friend - it dosent happend in fedora gnome beta, so we think it's arch specific.

sounds like a configuration mistake from your side. there is nothing to do in our packages.

I doubt. I change nothing when upgrading to gnome-testing. I'll try to downgrade and see what's happend.
EDIT: can't downgrade: alot of files "exist in the filesystem". should I f it?
EDIT2:downgrading - and gnome 3.2 works fine. upgrading again - 3.3.90(?) - having the same problem.

Last edited by meijin (2012-03-16 07:34:09)

Offline

#53 2012-03-15 22:53:33

quasifilmie
Member
From: Bowmanville, Ontario, Canada
Registered: 2011-10-27
Posts: 292

Re: gnome 3.4beta2 in gnome-unstable

Re-upgraded to gnome-unstable and user-account module problem is FIXED. However, pacman -Q gnome-shell output is gnome-shell 3.3.91 whereas gnome-shell --version output is 3.3.90. Brasero correctly shows 3.3.91. Would this be a system problem or upstream problem? Also, I reported a bug about extensions.gnome.org not working with opera:  https://bugzilla.gnome.org/show_bug.cgi?id=672192.

Offline

#54 2012-03-16 07:48:39

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: gnome 3.4beta2 in gnome-unstable

quasifilmie wrote:

Re-upgraded to gnome-unstable and user-account module problem is FIXED. However, pacman -Q gnome-shell output is gnome-shell 3.3.91 whereas gnome-shell --version output is 3.3.90. Brasero correctly shows 3.3.91. Would this be a system problem or upstream problem?

we are using a git snapshot from master for mutter and gnome-shell. NOT a bug

Also, I reported a bug about extensions.gnome.org not working with opera:  https://bugzilla.gnome.org/show_bug.cgi?id=672192.

thanks for reporting


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#55 2012-03-16 12:58:06

steffinger
Member
From: Munich/Beijing
Registered: 2011-02-07
Posts: 40

Re: gnome 3.4beta2 in gnome-unstable

Offline

#56 2012-03-16 13:35:21

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: gnome 3.4beta2 in gnome-unstable

Jodell wrote:

@Wonder

:0-greeter.log http://pastebin.com/rpd1y2i0

:0-slave.log

gdm-simple-slave[1351]: WARNING: GdmSessionDirect: conversation gdm-password started more than once

sorry for delaying. do you have systemd installed without using it? if yes, remove the package.


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#57 2012-03-16 17:35:32

Jodell
Member
Registered: 2009-10-09
Posts: 285

Re: gnome 3.4beta2 in gnome-unstable

wonder wrote:
Jodell wrote:

@Wonder

:0-greeter.log http://pastebin.com/rpd1y2i0

:0-slave.log

gdm-simple-slave[1351]: WARNING: GdmSessionDirect: conversation gdm-password started more than once

sorry for delaying. do you have systemd installed without using it? if yes, remove the package.

Indeed, that was the case.  Thanks!

Offline

#58 2012-03-16 18:59:49

fredbezies
Member
Registered: 2011-07-28
Posts: 295

Re: gnome 3.4beta2 in gnome-unstable

Got this error when trying to print a pdf file :

[fred@fredo-arch ~]$ 
** WARNING **: failed to get find a colord device: Failed to FindDeviceById: GDBus.Error:org.freedesktop.ColorManager.Failed: device id 'cups-Epson-Stylus-SX218' does not exists

Known bug ?

Offline

#59 2012-03-16 19:04:31

fredbezies
Member
Registered: 2011-07-28
Posts: 295

Re: gnome 3.4beta2 in gnome-unstable

Wow !

Got a big shout in dmesg...

[ 5520.370013] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[ 5520.370019] usb             D ffff880003275fd8     0  4893    759 0x00000004
[ 5520.370028]  ffff880003275b28 0000000000000086 ffff88011fc96800 ffffea00000caac0
[ 5520.370038]  ffff880003250e40 ffff880003275fd8 ffff880003275fd8 ffff880003275fd8
[ 5520.370047]  ffff880110c48000 ffff880003250e40 ffff880003275b18 ffff88011fffcc08
[ 5520.370055] Call Trace:
[ 5520.370066]  [<ffffffff8145bdd3>] ? __mutex_lock_slowpath+0x263/0x370
[ 5520.370075]  [<ffffffff8145a5df>] schedule+0x3f/0x60
[ 5520.370083]  [<ffffffff8145bcc4>] __mutex_lock_slowpath+0x154/0x370
[ 5520.370101]  [<ffffffffa00156e0>] ? driver_resume+0x10/0x10 [usbcore]
[ 5520.370110]  [<ffffffff8145bef6>] mutex_lock+0x16/0x30
[ 5520.370126]  [<ffffffffa0015cd6>] usbdev_open+0x136/0x290 [usbcore]
[ 5520.370142]  [<ffffffff8116beab>] chrdev_open+0x1bb/0x2d0
[ 5520.370150]  [<ffffffff81165690>] __dentry_open+0x310/0x3f0
[ 5520.370158]  [<ffffffff8116bcf0>] ? cdev_put+0x30/0x30
[ 5520.370166]  [<ffffffff81173cc9>] ? generic_permission+0x1d9/0x280
[ 5520.370175]  [<ffffffff811669a1>] nameidata_to_filp+0x71/0x80
[ 5520.370183]  [<ffffffff81176bc5>] do_last+0x185/0x970
[ 5520.370191]  [<ffffffff811774c2>] path_openat+0xd2/0x3c0
[ 5520.370199]  [<ffffffff8145bdd3>] ? __mutex_lock_slowpath+0x263/0x370
[ 5520.370208]  [<ffffffff811778d2>] do_filp_open+0x42/0xa0
[ 5520.370216]  [<ffffffff81183fdc>] ? alloc_fd+0xec/0x140
[ 5520.370224]  [<ffffffff81166aa7>] do_sys_open+0xf7/0x1d0
[ 5520.370232]  [<ffffffff81165a36>] ? filp_close+0x66/0x90
[ 5520.370239]  [<ffffffff81166ba0>] sys_open+0x20/0x30
[ 5520.370246]  [<ffffffff8145ddc2>] system_call_fastpath+0x16/0x1b

Kernel bug related to usb ?!

Last edited by fredbezies (2012-03-16 19:05:21)

Offline

#60 2012-03-16 22:01:20

quasifilmie
Member
From: Bowmanville, Ontario, Canada
Registered: 2011-10-27
Posts: 292

Re: gnome 3.4beta2 in gnome-unstable

For anyone who wants the adwaita firefox addon to work with the new gnome, you can clone into adwaita-firefox-team repository OR there is an xpi on github here. https://github.com/adwaita-firefox-team … /downloads. The download is called adwaita-firefox-nightly-20120314.xpi or you can just click here https://github.com/downloads/adwaita-fi … 120314.xpi.

Offline

#61 2012-03-17 01:19:13

Radioactiveman
Member
From: Germany
Registered: 2010-05-13
Posts: 376

Re: gnome 3.4beta2 in gnome-unstable

For me QT and GTK2 applications have an ungly appearance with Gnome 3.4 beta.

My .xinitrc contains this line:

export GTK2_RC_FILES="$HOME/.gtkrc-2.0"

Setting the theme with

gconftool-2 --set --type string /desktop/gnome/interface/gtk_theme

doesn't work either.

Am I missing something?

EDIT: The theme is "Ambiance Blue" http://gnome-look.org/content/show.php/ … ent=133676

Last edited by Radioactiveman (2012-03-17 01:23:19)

Offline

#62 2012-03-17 04:53:12

quasifilmie
Member
From: Bowmanville, Ontario, Canada
Registered: 2011-10-27
Posts: 292

Re: gnome 3.4beta2 in gnome-unstable

I just tried Ambiance Blue and gtk2 and gtk3 apps were ugly. I think it is because it has incompatibilities with the new gtk.

Offline

#63 2012-03-17 12:40:29

fredbezies
Member
Registered: 2011-07-28
Posts: 295

Re: gnome 3.4beta2 in gnome-unstable

Looks like gnutls 3.0.17 broke evolution 3.4b2.

Impossible d'ouvrir le calendrier : Le code d'état HTTP renvoyé (6) est inattendu (Erreur lors de la lecture de données du connecteur TLS : Un paquet TLS de longueur incorrecte a été reçu.)

Translation :

Unable to open the calendar: The HTTP status code returned (6) is unexpected (Error reading data connector TLS: A TLS packet with incorrect length was received.)

Bah, will be fixed with next development release, I think wink

Offline

#64 2012-03-17 15:25:27

mr_comic
Member
From: México
Registered: 2011-02-20
Posts: 52
Website

Re: gnome 3.4beta2 in gnome-unstable

I have an error in evolution trying to sync the google calendar it says: "Cannot open calendar: Unexpected HTTP status code 6 returned (Error reading data from TLS socket: The TLS connection was non-properly terminated.)" I read about it and it was a problem in evolution 3.0.2 but it was solved with and update of gnutls and glib-networking. Is there a way to solve it using this repo?

Offline

#65 2012-03-17 15:28:13

fredbezies
Member
Registered: 2011-07-28
Posts: 295

Re: gnome 3.4beta2 in gnome-unstable

mr_comic wrote:

I have an error in evolution trying to sync the google calendar it says: "Cannot open calendar: Unexpected HTTP status code 6 returned (Error reading data from TLS socket: The TLS connection was non-properly terminated.)" I read about it and it was a problem in evolution 3.0.2 but it was solved with and update of gnutls and glib-networking. Is there a way to solve it using this repo?

Reported it just before your message.

The simplest way : wait for next evolution build smile Or build evolution against new gnutls version wink

Offline

#66 2012-03-17 16:27:02

mr_comic
Member
From: México
Registered: 2011-02-20
Posts: 52
Website

Re: gnome 3.4beta2 in gnome-unstable

fredbezies wrote:
mr_comic wrote:

I have an error in evolution trying to sync the google calendar it says: "Cannot open calendar: Unexpected HTTP status code 6 returned (Error reading data from TLS socket: The TLS connection was non-properly terminated.)" I read about it and it was a problem in evolution 3.0.2 but it was solved with and update of gnutls and glib-networking. Is there a way to solve it using this repo?

Reported it just before your message.

The simplest way : wait for next evolution build smile Or build evolution against new gnutls version wink

Oh Thanks I was just waking up and didn't notice your post, sorry :$

Offline

#67 2012-03-17 20:18:22

fredbezies
Member
Registered: 2011-07-28
Posts: 295

Re: gnome 3.4beta2 in gnome-unstable

Don't know if it is a known  bug, but I have to disable ipv6 in networkmanager. If I don't do this, I got log spamming and stalls when using some network heavy programs.

Error like this one :

Mar 17 21:17:09 fredo-arch kernel: [  184.943345] INFO: rcu_preempt detected stalls on CPUs/tasks: { P1320} (detected by 0, t=18002 jiffies)

[fred@fredo-arch ~]$ pacman -Qi networkmanager
Nom                   : networkmanager
Version               : 0.9.3.995-2

Known bug : https://bugzilla.gnome.org/show_bug.cgi?id=667692

What a pity to deactive ipv6 neutral

Last edited by fredbezies (2012-03-17 20:19:55)

Offline

#68 2012-03-17 20:57:33

fredbezies
Member
Registered: 2011-07-28
Posts: 295

Re: gnome 3.4beta2 in gnome-unstable

Got this in /var/log/errors.log

Mar 17 22:23:53 fredo-arch NetworkManager[659]: <error> [1332019433.274345] [nm-system.c:1085] nm_system_replace_default_ip6_route(): (eth0): failed to set IPv6 default route: -14

Related to https://bugzilla.gnome.org/show_bug.cgi?id=671767 or another bug ?

Last edited by fredbezies (2012-03-17 21:26:19)

Offline

#69 2012-03-17 21:40:52

fredbezies
Member
Registered: 2011-07-28
Posts: 295

Re: gnome 3.4beta2 in gnome-unstable

Found this on networkmanager git :

http://cgit.freedesktop.org/NetworkMana … /tree/NEWS

"A bug causing IPv6 address assignment to fail on newer kernels with libnl3 has been fixed"

So, do we see a bug fix in next version of Networkmanager ?

Offline

#70 2012-03-17 21:43:58

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: gnome 3.4beta2 in gnome-unstable

fredbezies wrote:

Found this on networkmanager git :

http://cgit.freedesktop.org/NetworkMana … /tree/NEWS

"A bug causing IPv6 address assignment to fail on newer kernels with libnl3 has been fixed"

So, do we see a bug fix in next version of Networkmanager ?

networkmanager-0.9.3.995-2 is a snapshot from git as from today.


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#71 2012-03-17 22:00:17

fredbezies
Member
Registered: 2011-07-28
Posts: 295

Re: gnome 3.4beta2 in gnome-unstable

So, only workaround is to disable ipv6 ! Bad news sad

I thought looking at PKGBUILD it was based on source code from march 2 ?!

Disabled ipv6 for now, it is really a pain in the bottom sad

Last edited by fredbezies (2012-03-17 22:06:10)

Offline

#72 2012-03-17 23:09:34

meijin
Member
From: Israel
Registered: 2009-03-05
Posts: 92

Re: gnome 3.4beta2 in gnome-unstable

meijin wrote:
wonder wrote:
meijin wrote:

2 wierd problem:
1. cant take screenshot: the screen is getting "flashed", but nothing going up nor nothing to paste.

you need to install xdg-user-dirs-gtk and be sure you have xdg-user-dirs-0.14-3 then relogin. After that pictures are saved automatically into ~/Pictures or whatever the name is in your language.

2. i use RTL lang (hebrew), but the shell is LTR: I mean: "activity" is in the left side, and it should be in the right. I? checked with a friend - it dosent happend in fedora gnome beta, so we think it's arch specific.

sounds like a configuration mistake from your side. there is nothing to do in our packages.

I doubt. I change nothing when upgrading to gnome-testing. I'll try to downgrade and see what's happend.
EDIT: can't downgrade: alot of files "exist in the filesystem". should I f it?
EDIT2:downgrading - and gnome 3.2 works fine. upgrading again - 3.3.90(?) - having the same problem.

my problem was fixed upstream: https://bugzilla.gnome.org/show_bug.cgi?id=671736
is there is an option to update clutter or should i rebuild it my self?
thanks!

Offline

#73 2012-03-18 07:36:51

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: gnome 3.4beta2 in gnome-unstable

@meijin waiting for new tarballs...


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#74 2012-03-19 08:24:40

steve-e
Member
Registered: 2007-10-03
Posts: 37

Re: gnome 3.4beta2 in gnome-unstable

I cannot say for sure, but it seems that the bogofilter-based evolution spam filter stopped working. Can anyone confirm?

Offline

#75 2012-03-19 09:51:03

fredbezies
Member
Registered: 2011-07-28
Posts: 295

Re: gnome 3.4beta2 in gnome-unstable

fredbezies wrote:

Don't know if it is a known  bug, but I have to disable ipv6 in networkmanager. If I don't do this, I got log spamming and stalls when using some network heavy programs.

Error like this one :

Mar 17 21:17:09 fredo-arch kernel: [  184.943345] INFO: rcu_preempt detected stalls on CPUs/tasks: { P1320} (detected by 0, t=18002 jiffies)

[fred@fredo-arch ~]$ pacman -Qi networkmanager
Nom                   : networkmanager
Version               : 0.9.3.995-2

Known bug : https://bugzilla.gnome.org/show_bug.cgi?id=667692

What a pity to deactive ipv6 neutral

It seems I found a workaround. In your ipv6 connection, click on (sorry I'm using a french version, so please be kind with me) "Routes" button (in ipv6 settings tab), then check "Ignore automatically..." line.

Restart your connection.


Hope it helps.

Edit : doesn't change nothing. Had to deactivate once again ipv6 support sad

Last edited by fredbezies (2012-03-19 11:12:55)

Offline

Board footer

Powered by FluxBB